<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button slot="start"></ion-back-button>
    </ion-buttons>
    <ion-title>Edit category: {{category?.name}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-row>
    <ion-col size-md=8 offset-md=2>

      <ion-card>
        <ion-card-header>
          <ion-card-title>{{ category?.name }}</ion-card-title>
        </ion-card-header>
        <ion-card-content>

          <ion-item>
            Preview: <app-category-box #previewBox [category]=category>
            </app-category-box>
          </ion-item>
          <ion-item>
            <ion-label position="floating">
              Category name
            </ion-label>
            <ion-input #nameInput type=text inputmode="text" placeholder="Type here..." [value]=category?.name
              (input)="validateForm()">
            </ion-input>
          </ion-item>
          <ion-item lines=none>
            <ion-label position="default">
              Color
            </ion-label>
          </ion-item>
          <ion-item lines=none>
            <app-color-picker #colorPicker (valueChange)="onColorPickerValueChange();" [color]=category?.color>
            </app-color-picker>
          </ion-item>
          <ion-item>
            <ion-label position=floating>Hex:</ion-label>
            <ion-input #colorInput type=text inputmode="text" placeholder="#FFFFFF" [value]=category?.color
              (input)="validateForm()">
            </ion-input>
          </ion-item>


          <ion-item lines=none>
            <ion-label>
              Parent category:
            </ion-label>
          </ion-item>
          <ion-item class="category_selector">
            <app-category-selection #categorySelection [hideManageCategories]=true></app-category-selection>
          </ion-item>

          <ion-item lines=none>
            <ion-label>
              Icon:
            </ion-label>
          </ion-item>
          <app-collapsible-card>
            <app-icon-selection #iconSelection (iconSelected)="selectIcon();" [value]=category?.icon>

            </app-icon-selection>
          </app-collapsible-card>

          <ion-item lines=none>

            <ion-button #submitButton size=default slot="end" (click)="submit();">Submit</ion-button>
          </ion-item>

        </ion-card-content>

      </ion-card>
    </ion-col>
  </ion-row>
</ion-content>
